<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($pag=='') $pag=0;
$offset=$pag;
$pag=$pag+20;
//$offset;

if($estado_empresa=='-'): 
    $var2 = ''; 
else: 
    $var2 = ' and activo='.$estado_empresa; 
endif;

$nro=1;
$nro_grupos=1;

//Tiene una acción de otro formulario (dep_total_listado_grupos_vista.php)
if($id_cli!='' and $id_cli!=0):
    $parametro_empresa = 0;
endif;

//Parametro de consulta por grupo
if($parametro_empresa==0):

    if($id_cli_grupos=='-'): 
        $var = '1 limit '.$pag.' OFFSET '.$offset; 
    else: 
        $var = " nom_cli like '%$id_cli_grupos%'"; 
    endif;

    //Tiene una acción de otro formulario (dep_total_listado_grupos_vista.php)
    if($id_cli!='' and $id_cli!=0):
        $var = " id_cli=$id_cli"; 
    endif;

    //Identifico el grupo
    $plan_cli=0;
    $sqlGrupo = "SELECT id_cli, nom_cli, activo_cli, plan_cli FROM cliente WHERE $var  ";
    $conGrupo = $bdFact->consulta($sqlGrupo);
    while($resGrupo = $bdFact->fetch_assoc($conGrupo)):
        $nom_cli = utf8_encode($resGrupo['nom_cli']);
        $id_fk_cliente_fact = $resGrupo['id_cli'];
        $activo_cli = $resGrupo['activo_cli'];
        $plan_cli=$resGrupo['plan_cli'];

        //Identifico el plan del grupo
        $id_plan=0;
        $tipo_plan=0;
        $sqlPlanes = "SELECT id_plan, tipo_plan FROM planes WHERE id_plan=$plan_cli";
        $conPlanes = $bdFact->consulta($sqlPlanes);
        if($resPlanes = $bdFact->fetch_assoc($conPlanes)):
            $id_plan = $resPlanes['id_plan'];
            $tipo_plan=$resPlanes['tipo_plan'];
        endif;

        //Identifico las CTA del grupo
        $sqlCTA = "SELECT * FROM cta WHERE id_fk_cliente_fact=$id_fk_cliente_fact $var2";
        $conCTA = $bdDepen->consulta($sqlCTA);
        $sumatoUSU=0;
        while($resCTA = $bdDepen->fetch_assoc($conCTA)):
            
            $indicador=1;

            $nombre=utf8_encode($resCTA['nombre']);
            $nombre_plano=utf8_encode($resCTA['nombre_plano']);
            $nit_plano=$resCTA['nit_plano'];
            $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];
            $id_cta=$resCTA['id_cta'];
            $comentario=utf8_encode($resCTA['comentario']);
            $modo=$resCTA['modo'];
            $activo=$resCTA['activo'];
            $fecha_creacion=$resCTA['fecha_creacion'];
            $fecha_activar=$resCTA['fecha_activar'];
            $fecha_inactivar=$resCTA['fecha_inactivar'];
            $permanente=$resCTA['permanente'];

            //Total recibos
            $sqlUSU = "select * from usuario where retiro_total = 0 and id_cta_fk_us = '$id_cta'";
            $conUSU = $bdDepen->consulta($sqlUSU);
            $totalUSU = $bdDepen->num_rows($conUSU);
            
            $array_cta[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario'=>$comentario, 'fecha_creacion'=>$fecha_creacion, 'fecha_activar'=>$fecha_activar, 'fecha_inactivar'=>$fecha_inactivar, 'permanente'=>$permanente, 'nombre'=>$nombre, 'totalUSU'=>$totalUSU);

            $sumatoUSU=$sumatoUSU+$totalUSU;

        endwhile;

        if($indicador == 1):

            $array_grupos[]=array('nro'=>$nro_grupos++, 'id_cli'=>$id_fk_cliente_fact, 'nom_cli'=>$nom_cli, 'activo_cli'=>$activo_cli, 'sumatoUSU'=>$sumatoUSU, 'plan_cli'=>$plan_cli, 'tipo_plan'=>$tipo_plan);
            $indicador=0;
            
        endif;

    endwhile;

else:

    if($id_cli_grupos=='-'): 
        $var = '1'; 
    else: 
        $var = " comentario like '%$id_cli_grupos%'"; 
    endif;

    //Identifico el grupo
    

        //Identifico las CTA del grupo
        $sqlCTA = "SELECT * FROM cta WHERE $var $var2 order by id_fk_cliente_fact";
        $conCTA = $bdDepen->consulta($sqlCTA);

        $sumatoUSU=0;
        while($resCTA = $bdDepen->fetch_assoc($conCTA)):
            
            $nombre=utf8_encode($resCTA['nombre']);
            $nombre_plano=utf8_encode($resCTA['nombre_plano']);
            $nit_plano=$resCTA['nit_plano'];
            $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];
            $id_cta=$resCTA['id_cta'];
            $comentario=utf8_encode($resCTA['comentario']);
            $modo=$resCTA['modo'];
            $activo=$resCTA['activo'];
            $fecha_creacion=$resCTA['fecha_creacion'];
            $fecha_activar=$resCTA['fecha_activar'];
            $fecha_inactivar=$resCTA['fecha_inactivar'];
            $permanente=$resCTA['permanente'];

            $sqlGrupo = "SELECT id_cli, nom_cli, activo_cli FROM cliente WHERE id_cli=$id_fk_cliente_fact ";
            $conGrupo = $bdFact->consulta($sqlGrupo);
            if($resGrupo = $bdFact->fetch_assoc($conGrupo)):
                $nom_cli = utf8_encode($resGrupo['nom_cli']);
                $activo_cli = $resGrupo['activo_cli'];

                //Total usuarios
                $sqlUSU = "select * from usuario where retiro_total = 0 and id_cta_fk_us = '$id_cta'";
                $conUSU = $bdDepen->consulta($sqlUSU);
                $totalUSU = $bdDepen->num_rows($conUSU);

                $sumatoUSU=$sumatoUSU+$totalUSU;

                $array_cta[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario'=>$comentario, 'fecha_creacion'=>$fecha_creacion, 'fecha_activar'=>$fecha_activar, 'fecha_inactivar'=>$fecha_inactivar, 'nombre'=>$nombre, 'permanente'=>$permanente, 'totalUSU'=>$totalUSU);

                $valor_id_fk_cliente_fact;
                if($id_fk_cliente_fact!=$valor_id_fk_cliente_fact or $valor_id_fk_cliente_fact==''):
                    $array_grupos[]=array('nro'=>$nro_grupos++, 'id_cli'=>$id_fk_cliente_fact, 'nom_cli'=>$nom_cli, 'activo_cli'=>$activo_cli);
                    $valor_id_fk_cliente_fact=$id_fk_cliente_fact;
                endif;

            $indicador=0;

            endif;

            
            
        endwhile;

endif;

$enlace='dep_listado_grupos2.php';

//Vista de la relación de datos
require("dep_listado_grupos_vista.php");



?>